body {
	font-family: Arial, sans-serif;
	margin: 0;
	padding: 0;
}

#container {
	width: 1200px;
	margin: 0 auto;
	padding: 20px;
	background-color: #eee;
}

header {
	text-align: center;
	margin-bottom: 20px;
}

main {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
}

section {
	flex-basis: 30%;
	margin-bottom: 20px;
	padding: 10px;
	background-color: #fff;
	box-shadow: 0 0 5px rgba(0,0,0,0.3);
	min-height: 320px;
}

h2 {
	margin-top: 0;
}

h4 {
	margin-top: 0;
}

#video {
	width: 100%;
}

#controls {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
}

#sensors p {
	margin: 0;
}

#sensors span {
	font-weight: bold;
}

footer {
	text-align: center;
	margin-top: 20px;
	padding: 10px;
	background-color: #fff;
	box-shadow: 0 0 5px rgba(0,0,0,0.3);
}

#parent {
  position: absolute;
  /*transform: translate(-50%, -50%);*/
  width: 200px;
  height: 200px;
  border: 1px solid black;
  border-radius: 20%;
  overflow: hidden;
  background-color: #f0f0f0;
}

#joystick {
  position: relative;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: #007bff;
  cursor: move;
  user-select: none;
  left: 75px;
  top: 75px;
}

#arrow-top {
  position: absolute;
  top: 10px;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 10px solid transparent;
  border-bottom-color: black;
}

#arrow-right {
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translate(50%, -50%);
  border: 10px solid transparent;
  border-left-color: black;
}

#arrow-bottom {
  position: absolute;
  bottom: 10px;
  left: 50%;
  transform: translate(-50%, 50%);
  border: 10px solid transparent;
  border-top-color: black;
}

#arrow-left {
  position: absolute;
  top: 50%;
  left: 10px;
  transform: translate(-50%, -50%);
  border: 10px solid transparent;
  border-right-color: black;
}

.slider-container {
	position: relative;
	width: 200px;
	height: 40px;
	transform: rotate(-90deg) translate(-162px, 175px);
}

.slider {
	-webkit-appearance: none;
	width: 200px;
	height: 10px;
	background-color: #ddd;
	outline: none;
	-webkit-transition: .2s;
	transform: rotate(180deg);
	position: absolute;
	top: calc(50% - 20px);
	left: calc(50% - 20px);
}

.slider::-webkit-slider-thumb {
	-webkit-appearance: none;
	appearance: none;
	width: 40px;
	height: 40px;
	background-color: #007bff;
	cursor: pointer;
	border-radius: 50%;
}

.slider::-moz-range-thumb {
	width: 40px;
	height: 40px;
	background-color: #007bff;
	cursor: pointer;
	border-radius: 50%;
}

#throttle-indicator {
  position: absolute;
	width: 0;
	height: 0;
	border-left: 10px solid transparent;
	border-right: 10px solid transparent;
	border-top: 200px solid #ddd;
	transform: translate(300px);
}
